View Issue Details

IDProjectCategoryView StatusLast Update
0005206Talerotherpublic2018-04-15 20:36
ReporterFlorian DoldAssigned ToFlorian Dold 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.5Fixed in Version0.5 
Summary0005206: wallet / merchant should negotiate refunds on partially failed payments
DescriptionRight now the wallet would just lose some of these coins / maybe refresh the rest. Instead it should be able to refund partial payments.

(This was discussed offline, but AFAIK there is no bug open for it)
TagsNo tags attached.

Relationships

related to 0005158 closedFlorian Dold error handling for /pay not comprehensive 

Activities

Christian Grothoff

2017-12-10 14:17

manager   ~0012649

Well, there is 0005158 ...

Florian Dold

2018-01-30 00:58

manager   ~0012832

Implemented in the wallet in 1a66e232a55df

Issue History

Date Modified Username Field Change
2017-12-09 19:08 Florian Dold New Issue
2017-12-10 14:17 Christian Grothoff Note Added: 0012649
2017-12-10 14:18 Christian Grothoff Status new => confirmed
2017-12-10 14:18 Christian Grothoff Product Version => SVN HEAD
2017-12-10 14:18 Christian Grothoff Target Version => 0.6
2017-12-14 15:48 Christian Grothoff Relationship added related to 0005158
2018-01-15 21:09 Christian Grothoff Assigned To => Florian Dold
2018-01-15 21:09 Christian Grothoff Status confirmed => assigned
2018-01-15 21:09 Christian Grothoff Target Version 0.6 => 0.5
2018-01-30 00:58 Florian Dold Status assigned => resolved
2018-01-30 00:58 Florian Dold Resolution open => fixed
2018-01-30 00:58 Florian Dold Note Added: 0012832
2018-04-15 20:35 Christian Grothoff Fixed in Version => 0.5
2018-04-15 20:36 Christian Grothoff Status resolved => closed